#ifndef __MyuRegWriter_H__
#define __MyuRegWriter_H__

#include "MyuRegReader.h"

//	クラス宣言
class CMyuRegWriter : public CMyuRegReader
{
private:

public:
	//	コンストラクタ/デストラクタ
	CMyuRegWriter();
	virtual ~CMyuRegWriter();

	//	Open/Close
	BOOL OpenKey( const char* szKeyName );
	BOOL OpenKey( HKEY hParentKey, const char* szKeyName );
	//int OpenKeyByIndex( HKEY hParentKey, int nKeyIndex );	//	未実装

	//	値の設定
	BOOL SetValueStr( const char* szValueName, char* szValue );
	BOOL SetValueDWord( const char* szValueName, DWORD dwValue );
	BOOL SetValue( const char* szValueName, DWORD dwType, LPBYTE lpData, DWORD cbData );

	//	キーの作成
	BOOL CreateSubKey( const char* szSubKeyName, CMyuRegWriter* pResultOpenedKey=NULL );
	BOOL CreateKey( HKEY hRootKey, const char* szCreateKeyName, CMyuRegWriter* pResultOpenedKey=NULL );
};

#endif//__MyuRegWriter_H__
